package com.jeesharp.business.modules.food.service;

import com.jeesharp.business.modules.food.entity.FoodCompanyRecharge;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;
import com.jeesharp.framework.pojo.query.PaginationVO;

public interface FoodCompanyRechargeService extends BaseInterface<FoodCompanyRecharge, PaginationVO> {

    FoodCompanyRecharge lockById(String id, String tenantCode);

    FoodCompanyRecharge lockByPayOrderId(String payOrderId);

    FoodCompanyRecharge lockByPayOrderNo(String payOrderNo);

    void insertRecharge(FoodCompanyRecharge recharge);

    void updateRecharge(FoodCompanyRecharge recharge);
}
